package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ccdgrp extends AbstractCommonVo {

    private CcdVo rec;

    private CctVo blk;

    private CcacbsVo cbs;

    private PtsptaVo cor;

    private PtsptaVo dro;

    private PtsptaVo pre;

    private PtsptaVo nob;

    private PtsptaVo col;

    private Date orddat;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new CcdVo();
        }
        if (blk == null) {
            blk = new CctVo();
        }
        if (cbs == null) {
            cbs = new CcacbsVo();
        }
        cbs.reset();
        if (cor == null) {
            cor = new PtsptaVo();
        }
        cor.reset();
        if (dro == null) {
            dro = new PtsptaVo();
        }
        dro.reset();
        if (pre == null) {
            pre = new PtsptaVo();
        }
        pre.reset();
        if (nob == null) {
            nob = new PtsptaVo();
        }
        nob.reset();
        if (col == null) {
            col = new PtsptaVo();
        }
        col.reset();
    }
}
